# docker/elasticsearch

- name: Run elasticsearch
  become: yes
  docker_container:
    name: "elasticsearch-{{ ansible_hostname }}"
    image: "elasticsearch:{{ elasticsearch_version }}"
    ports:
      - "9200:9200"
      - "9300:9300"
    command: "-Dcluster.name={{ elasticsearch_cluster_name }} -Dnode.name={{ ansible_hostname }} -Dnetwork.publish_host={{ host_ipv4 }} -Des.discovery.zen.ping.unicast.hosts={{ elasticsearch_hosts|join(',') }}"
    restart_policy: always
    # recreate: yes

- name: Register service
  become: yes
  template:
    src: consul_elasticsearch.json.j2
    dest: "{{ consul_config_dir }}/elasticsearch.json"
  notify: Restart consul
